Rails e mysql


#1

Ciao

sto testando rails2.2, ho provato a creare una nuova applicazione ma
quando lancio il comando “rake db:create” mi informa che devo installare
con gem la libreria mysql non essendo piu integrata in rails, provo a
installare la libreria e compare questo:

checking for mysql_query() in -lmysqlclient… no
checking for main() in -lsocket… no
checking for mysql_query() in -lmysqlclient… no
checking for main() in -lnsl… yes
checking for mysql_query() in -lmysqlclient… no
PS:mysql lo uso quotidianamente con php e funziona


#2

Ciao,
per installare la gemma mysql devi avere le librerie di sviluppo di
mysql.
installale
così:
sudo apt-get install libmysqlclient5-dev

poi riprova ad installare la gemma.

2009/4/11 Angelbit removed_email_address@domain.invalid


#3

Grazie, ora funziona tutto
PS:per chi avesse lo stesso problema su ubuntu il pacchetto da
installare si chiama libmysqlclient15-dev
Pierpaolo S. ha scritto: